Subject: Re: bug#21076: dynamic-link often fails to load libraries

From: Andy Wingo <[email-masked]>
Date: Fri, 24 Jun 2016 10:10:02 +0200

On Fri 17 Jul 2015 01:00, Andreas Rottmann <[email-masked]> writes:

>> Alternatively, the (system foreign) module in guile could provide a
>> simple low-level wrapper around lt_dlopen, and possibly implement
>> the higher level functionality of `dynamic-link' (additional search
>> paths, guessing extensions etc.) in scheme.
>>
> +1

Either one of yall want to give a shot at this or something like it?  I
think in an ideal world we could lose the ltdl dependency.  I gave a
first crack at it but got mired in C; I never considered implementing it
in Scheme, which seems like a nice idea.

Andy